summaryrefslogtreecommitdiff
path: root/tools/runlex.sh
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2012-02-22 03:13:38 +0000
committerGuy Harris <guy@alum.mit.edu>2012-02-22 03:13:38 +0000
commit4d6a05e2ff80fdbc7529d8cfe206a0e1943bccf4 (patch)
treecb90ec5f6429ace5ed1366bb84cb78073f4588ce /tools/runlex.sh
parent46cb65974baa2883a10910baaa253ce9501b3b49 (diff)
downloadwireshark-4d6a05e2ff80fdbc7529d8cfe206a0e1943bccf4.tar.gz
More debugging information - in at least one of the failures, neither of
the "Wrote xxx" messages was printed, although the compiler appeared to have been run on the .c file that was never claimed to have been written, but got an error because it couldn't find the .h file (also never claimed to have been written), and in one of the successes on the same buildbot, they were both printed for the same file. svn path=/trunk/; revision=41133
Diffstat (limited to 'tools/runlex.sh')
-rwxr-xr-xtools/runlex.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tools/runlex.sh b/tools/runlex.sh
index f38759c9be..9f075f397c 100755
--- a/tools/runlex.sh
+++ b/tools/runlex.sh
@@ -85,6 +85,7 @@ done
#
# OK, run it.
#
+echo "Running ${LEX}"
${LEX} -o"$outfile" $flags "$@"
#
@@ -95,6 +96,8 @@ then
#
# No. Exit with the failing exit status.
#
+ exitstatus=$?
+ echo "${LEX} failed: exit status $exitstatus"
exit $?
fi
@@ -137,6 +140,7 @@ echo "Wrote $outfile"
# Get the name of the prefix; scan the source files for a %option prefix
# line. We use the last one.
#
+echo "Getting prefix"
prefix=`sed -n 's/%option[ ][ ]*prefix="\(.*\)".*/\1/p' "$@" | tail -1`
if [ ! -z "$prefix" ]
then
@@ -146,11 +150,13 @@ fi
#
# Construct the name of the header file.
#
+echo "Getting header file name"
header_file=`dirname "$outfile"`/`basename "$outfile" .c`_lex.h
#
# Spew out the declaration.
#
+echo "Writing $header_file"
cat <<EOF >$header_file
/* This is generated by runlex.sh. Do not edit it. */
$prefixline